#!/usr/bin/env node
// console.log(123); 
let fs=require("fs")
let path=require("path")
let package=require("../package.json")
let {program}=require("commander")
let inquirer=require("inquirer")

function copy(sourcePath,targetPath){
    console.log(sourcePath,targetPath);
    if(!fs.existsSync(targetPath)){
        fs.mkdirSync(targetPath)
    }
    let arr=fs.readdirSync(sourcePath) //读取源文件
    arr.forEach(item=>{ //拼接路径
        let sourceFilePath=path.join(sourcePath,item)
        let targetFilePath=path.join(targetPath,item)
        
        if(fs.statSync(sourceFilePath).isFile()){
            let text=fs.readFileSync(sourceFilePath)
            fs.writeFileSync(targetFilePath,text)
        }else{
            copy(sourceFilePath,targetFilePath)
        }

    })
}

let fn=function(){
    // console.log(123);
    inquirer.prompt([ //控制台
        {
            type:"input",
            name:"name",
            message:"请输入文件名"
        },
        {
            type:"list",
            name:"type",
            choices:["vue","react"],
            message:"请选择复制的文件"
        }
    ]).then(res=>{
        console.log(res);
        // console.log(__dirname); //C:\Users\DELL\Desktop\zk\bin
        // console.log(process.cwd);//C:\Users\DELL\Desktop\zk

        // //获取源路径
        let sourcePath=path.join(__dirname,"../package",res.type)
        let targetPath=path.join(process.cwd(),res.name)
        copy(sourcePath,targetPath)
    })
}
program.version(package.version)
program.command("init").action(fn)
program.parse(process.argv)